---
updatedAt: 2026-08-19T01:07:30.000Z
agentTools:
  projectIndex: https://docs.noves.fi/llms.txt
---

# /{chain}/validators/{validatorParty}/liveness

Returns public liveness records for a given validator in the provided time window.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Canton API",
    "description": "Query public and private Canton updates, balances, prices, rewards, verdicts, and Featured App activity. Create stream subscriptions and alerts for ongoing delivery.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.canton.noves.fi/"
    }
  ],
  "paths": {
    "/{chain}/validators/{validatorParty}/liveness": {
      "get": {
        "tags": [
          "Validators"
        ],
        "summary": "/{chain}/validators/{validatorParty}/liveness",
        "description": "Returns public liveness records for a given validator in the provided time window.",
        "parameters": [
          {
            "name": "chain",
            "in": "path",
            "description": "Canton chain name. Use a name returned by `GET /chains`.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "canton",
              "example": "canton"
            }
          },
          {
            "name": "validatorParty",
            "in": "path",
            "description": "Full Canton validator party ID.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "startTimestamp",
            "in": "query",
            "description": "Inclusive start time as Unix seconds or an ISO 8601 timestamp.",
            "required": true,
            "style": "form",
            "schema": {
              "maximum": 253402300799,
              "minimum": -62135596800,
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "endTimestamp",
            "in": "query",
            "description": "Exclusive end time as Unix seconds or an ISO 8601 timestamp.",
            "required": true,
            "style": "form",
            "schema": {
              "maximum": 253402300799,
              "minimum": -62135596800,
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Canton API. To generate an API Key, visit https://app.noves.fi",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    }
  }
}
```